{% extends "wizard/base.html" %}
{% block title %}Step 6: Review{% endblock %}
{% block step_content %}
  <div class="row">
    <div class="col-12">
      <h1 class="mt-5">Step 6: Review</h1>
      <p><strong>Congratulations!</strong> You have created the necessary configurations for your app to run properly. Let&apos;s review the steps we've been through.</p>
      <h4>Basic configurations</h4>
      <ul class="review-checklist">
        <li><i class="fa-solid fa-check text-success"></i>Id: <strong>{{ wizard.app.identifier }}</strong></li>
        <li><i class="fa-solid fa-check text-success"></i>Name: <strong>{{ wizard.app.descriptive_name }}</strong></li>
        {% if wizard.app.description %}
          <li><i class="fa-solid fa-check text-success"></i>Description: <strong>{{ wizard.app.description }}</strong></li>
        {% elif wizard.app.published_on_strap %}
          <li><i class="fa-solid fa-xmark text-danger"></i>Description: None</li>
        {% else %}
          <li><i class="fa-solid fa-xmark"></i>Description: None</li>
        {% endif %}
        <li><i class="fa-solid fa-check text-success"></i>Published on STRAP page: <strong>{% if wizard.app.published_on_strap %}Yes{% else %}No{% endif %}</strong></li>
      </ul>

      <h4>Authentication</h4>
      <ul class="review-checklist">
        {% if wizard.app.authentication %}
          <li><i class="fa-solid fa-check text-success"></i>Authentication type: <strong>{{ wizard.app.get_authentication_display }}</strong></li>
          {% if wizard.app.unauthenticated_routes_to_str %}
            <li><i class="fa-solid fa-check text-success"></i>Unauthenticated routes: <strong>{{ wizard.app.unauthenticated_routes_to_str }}</strong></li>
          {% else %}
            <li><i class="fa-solid fa-xmark"></i>Unauthenticated routes: None</li>
          {% endif %}
          {% if wizard.app.authenticated_routes_to_str %}
            <li><i class="fa-solid fa-check text-success"></i>Authenticated routes: <strong>{{ wizard.app.authenticated_routes_to_str }}</strong></li>
          {% else %}
            <li><i class="fa-solid fa-xmark"></i>Authenticated routes: None</li>
          {% endif %}
        {% else %}
          <li><i class="fa-solid fa-xmark"></i>No authentication was set up</li>
        {% endif %}
      </ul>

      <h4>Database</h4>
      <ul class="review-checklist">
        {% if wizard.app.database != 'None' %}
          <li><i class="fa-solid fa-check text-success"></i>Database type: <strong>{{ wizard.app.get_database_display }}</strong></li>
        {% else %}
          <li><i class="fa-solid fa-xmark"></i>No database was set up</li>
        {% endif %}
      </ul>

      <h4>Image registry</h4>
      <ul class="review-checklist">
        {% if wizard.app.harborproject %}
          <li><i class="fa-solid fa-check text-success"></i>Name: <strong>{{ wizard.app.harborproject.project_name }}</strong></li>
          <li><i class="fa-solid fa-check text-success"></i>Username: <strong>{{ wizard.app.harborproject.username }}</strong></li>
          <li class="row"><i class="fa-solid fa-check text-success mt-1"></i>Password:
            <span class="password-display w-fit">
              <div class="password">****************</div>
              <pre class="text d-none"><code>{{ wizard.app.harborproject.password }}</code></pre>
              <div class="show-btn">Show</div>
            </span>
          </li>
        {% else %}
          <li><i class="fa-solid fa-xmark text-danger"></i>No image registry was set up</li>
        {% endif %}
      </ul>

      <h4>Container</h4>
      <ul class="review-checklist">
        {% if wizard.app.container_set.count > 0 %}
          {% for container in wizard.app.container_set.all %}
            <li><i class="fa-solid fa-check text-success"></i><strong>{{ container }}</strong></li>
          {% endfor %}
        {% else %}
          <li><i class="fa-solid fa-xmark text-danger"></i>No container was set up</li>
        {% endif %}
      </ul>

      <a href="{% url 'get_app' identifier=wizard.app.identifier %}">Go to your application configuration now!</a>

      <h1 class="mt-5">Next step</h1>
      <p>Let&apos;s start deploying our app by finishing the following remaining steps:</p>
      <ul>
        <li>Make sure your containers are secure.</li>
        <li>Click the <strong>Review</strong> button in the app page to start deploying.</li>
        <li>Wait for the deployment to finish and you can visit your app at <strong>{{ wizard.app.identifier }}.{{ general_config.domain }}</strong>.</li>
      </ul>

        <!-- Navigation buttons -->
      {% with is_form=False %}
        {% include 'wizard/navigation_btns.html' %}
      {% endwith %}
    </div>
  </div>
{% endblock %}
